package com.fs.company.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 短信购买订单对象 company_sms_order
 * 
 * @author fs
 * @date 2023-01-09
 */
public class CompanySmsOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单code */
    @Excel(name = "订单code")
    private String orderCode;

    /** 套餐ID */
    @Excel(name = "套餐ID")
    private Long packageId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 短信条数 */
    @Excel(name = "短信条数")
    private Long smsCount;

    /** 订单金额 */
    @Excel(name = "订单金额")
    private BigDecimal price;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 状诚 0待支付 1已支付 */
    @Excel(name = "状诚 0待支付 1已支付")
    private Integer status;

    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setOrderCode(String orderCode) 
    {
        this.orderCode = orderCode;
    }

    public String getOrderCode() 
    {
        return orderCode;
    }
    public void setPackageId(Long packageId) 
    {
        this.packageId = packageId;
    }

    public Long getPackageId() 
    {
        return packageId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setSmsCount(Long smsCount) 
    {
        this.smsCount = smsCount;
    }

    public Long getSmsCount() 
    {
        return smsCount;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setPayMoney(BigDecimal payMoney) 
    {
        this.payMoney = payMoney;
    }

    public BigDecimal getPayMoney() 
    {
        return payMoney;
    }
    public void setPayTime(Date payTime) 
    {
        this.payTime = payTime;
    }

    public Date getPayTime() 
    {
        return payTime;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("orderCode", getOrderCode())
            .append("packageId", getPackageId())
            .append("companyId", getCompanyId())
            .append("smsCount", getSmsCount())
            .append("price", getPrice())
            .append("payMoney", getPayMoney())
            .append("createTime", getCreateTime())
            .append("payTime", getPayTime())
            .append("status", getStatus())
            .toString();
    }
}
